# mong

[![NPM Version](https://img.shields.io/npm/v/mong.svg)](https://www.npmjs.com/package/mong)
[![Build Status](https://img.shields.io/travis/aantthony/mong/master.svg)](https://travis-ci.org/aantthony/mong)
[![Coverage Status](https://img.shields.io/coveralls/aantthony/mong/master.svg)](https://coveralls.io/r/aantthony/mong?branch=master)
[![NPM Downloads](https://img.shields.io/npm/dm/mong.svg)](https://www.npmjs.com/package/mong)
[![License](https://img.shields.io/npm/l/mong.svg)](https://www.npmjs.com/package/mong)

Simple models for mongodb objects.

`npm install mong`

## Creating a collection class

```javascript
var db = require('mong').create();

var User = module.exports = db.model('users');

User.prototype.getFullName = function () {
  return this.firstName + ' ' + this.lastName;
};

```

Then you can use the model:

```javascript
db.connect('mongodb://localhost/mydatabase', function (err) {
  if (err) throw err;

  User.findOne({firstName: 'Anthony'}, function (err, doc) {
    console.log(doc.getFullName());
    doc.update({$inc: {count: 1}});
  });

  User
  .find()
  .on('data', function (user) {
    console.log(user.getFullName());
  })
  .on('end', function () {
    console.log('Node streams are cool!');
  });
});
```
