'use strict'
/* global describe it */

var lib = require('../../')
var should = require('should')

describe('#connect', function () {
  it('should connect to a mongodb server', function () {
    return lib.create().connect('mongodb://localhost/mong-test')
  })
  it('should error if the server doesn\'t exist', function () {
    return lib.create().connect('mongodb://localhost:45603')
    .then(null, function (err) {
      should.exist(err)
    })
  })
  it('should emit an error if the server doesn\'t exist', function (done) {
    lib.create('mongodb://localhost:45603')
    .on('error', function (err) {
      should.exist(err)
      done()
    })
  })
})
