'use strict'
/* global describe it */

var lib = require('../../')

describe('Model()', function () {
  it('should keep all of the properties', function () {
    var db = lib.create()
    var Model = db.model('animals')
    Model.ensureIndex({name: 1})
    var object = {x: 3}
    Model.call(object, {y: 12, z: 300, _id: '55338635d671fa19fe5855c6'})
    object.x.should.equal(3)
    object.y.should.equal(12)
    object.z.should.equal(300)
    object._id.should.not.be.an.instanceOf(String)
    object._id.should.be.an.instanceOf(lib.ObjectId)
    object._id.equals('55338635d671fa19fe5855c6').should.equal(true)

    var o2 = {}
    Model.call(o2, {_id: new lib.ObjectId('55338635d671fa19fe5855c6')})
    o2._id.equals('55338635d671fa19fe5855c6').should.equal(true)
  })
})
